<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pw@A3760=833F</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@A2964=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy">
    <script state="run">
      <action>maincpu.pb@A007E=FF</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>See the Dip Switch Menu to enable an alternate Invincibility cheat.</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@060E9</action>
      <action>temp1 =maincpu.mb@06870</action>
      <action>temp2 =maincpu.mb@07407</action>
      <action>temp3 =maincpu.mb@07461</action>
      <action>temp4 =maincpu.mw@087F5</action>
      <action>temp5 =maincpu.mb@0A6A4</action>
    </script>
    <script state="run">
      <action>maincpu.mb@060E9=11</action>
      <action>maincpu.mb@06870=8A</action> <!-- 1st = Gold, 2nd = Item -->
      <action>maincpu.mb@07407=F3</action> <!-- Gate Unlock -->
      <action>maincpu.mb@07461=99</action> <!-- Gate Through Out -->
      <action>maincpu.mw@087F5=C3F8</action> <!-- Master Code -->
      <action>maincpu.mb@0A6A4=56</action> <!-- Item in Round 3 -->
    </script>
    <script state="off">
      <action>maincpu.mb@060E9=temp0 </action>
      <action>maincpu.mb@06870=temp1 </action>
      <action>maincpu.mb@07407=temp2 </action>
      <action>maincpu.mb@07461=temp3 </action>
      <action>maincpu.mw@087F5=temp4 </action>
      <action>maincpu.mb@0A6A4=temp5 </action>
    </script>
  </cheat>

  <cheat desc="Infinite Money">
    <script state="run">
      <action>maincpu.pd@A3754=00999990|(maincpu.pd@A3754 BAND ~00FFFFFF)</action>
    </script>
  </cheat>

  <cheat desc="Maximum Power Bomb">
    <script state="run">
      <action>maincpu.pb@A001B=02</action>
    </script>
  </cheat>

  <cheat desc="Maximum Power Shot">
    <script state="run">
      <action>maincpu.pb@A001C=02</action>
    </script>
  </cheat>

  <cheat desc="Maximum Power Missile">
    <script state="run">
      <action>maincpu.pb@A001D=02</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Shot"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@A27F2=00|(maincpu.pb@A27F2 BAND ~40)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Bomb"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@A27F2=00|(maincpu.pb@A27F2 BAND ~80)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
